void drawGUI(){
   currCameraMatrix = new PMatrix3D(g3.camera);
   camera();
   controlP5.draw();
   g3.camera = currCameraMatrix; 
   fill(0);
}

void setupGUI()
{
   fill(0);
   controlP5 = new ControlP5(this);
   controlP5.setFont(font1);
   controlP5.setColorForeground(0x66666666);
  controlP5.setColorBackground(0x11111111);
  controlP5.setColorLabel(0x00000000);
  controlP5.setColorValue(0x33333333);
  controlP5.setColorActive(0x33333333);

    
   controlP5.addToggle("Prel: External Political Relations", 
                       p5Margin,
                       p5Margin + p5Distance,
                       buttonWidth,
                       buttonHeight);
   controlP5.addToggle("Pgov: Internal Governmental affairs" , 
                       p5Margin, 
                       p5Margin + 40+p5Distance, 
                       buttonWidth, 
                       buttonHeight);
   controlP5.addToggle("Phum: Human Rights" , 
                       p5Margin, 
                       p5Margin + 80+p5Distance, 
                       buttonWidth, 
                       buttonHeight);
   controlP5.addToggle("Econ: Economic Conditions" , 
                       p5Margin, 
                       p5Margin + 120+p5Distance, 
                       buttonWidth, 
                       buttonHeight);
   controlP5.addToggle("Pter: Terrorists and Terrorism" , 
                       p5Margin, 
                       p5Margin + 160+p5Distance, 
                       buttonWidth, 
                       buttonHeight);
   controlP5.addToggle("Etrd: Foreign Trade" , 
                       p5Margin, 
                       p5Margin + 200+p5Distance, 
                       buttonWidth, 
                       buttonHeight);
   controlP5.addToggle("Pinr: Intelligence" , 
                       p5Margin, 
                       p5Margin + 240+p5Distance, 
                       buttonWidth, 
                       buttonHeight);
  controlP5.addToggle("Efin: Financial and Monetary Affairs" , 
                       p5Margin, 
                       p5Margin + 280+p5Distance, 
                       buttonWidth, 
                       buttonHeight);
  controlP5.addToggle("Eaid: Foreign Economic Assistance" , 
                       p5Margin, 
                       p5Margin + 320+p5Distance, 
                       buttonWidth, 
                       buttonHeight);
  controlP5.addToggle("Asec: Security" , 
                       p5Margin, 
                       p5Margin + 360+p5Distance, 
                       buttonWidth, 
                       buttonHeight);
  controlP5.addToggle("Marr: Military and Defense Arrangements" , 
                       p5Margin, 
                       p5Margin + 400+p5Distance, 
                       buttonWidth, 
                       buttonHeight);
  
   controlP5.setAutoDraw(false);
}

void controlEvent(ControlEvent theEvent)
{
   if(theEvent.isController())
  {
   if(theEvent.controller().name() == "Prel: External Political Relations")
   {
     prel_type = !prel_type;   
     enrg_type = false;
     pgov_type = false;
     phum_type = false;
     econ_type = false;
     pter_type = false;
     etrd_type = false;
     pinr_type = false;
     efin_type = false; 
     eaid_type = false;
     asec_type = false;
     marr_type = false;
   }
  }
   
 if(theEvent.controller().name() == "Erng: Energy and Power")
   {
     enrg_type = !enrg_type;
     prel_type = false;
     pgov_type = false;
     phum_type = false;
     econ_type = false;
     pter_type = false;
     etrd_type = false;
     pinr_type = false;
     efin_type = false;
     eaid_type = false;
     asec_type = false;
     marr_type = false;
   }
   if(theEvent.controller().name() == "Pgov: Internal Governmental affairs")
   {
     pgov_type = !pgov_type;
     prel_type = false;
     phum_type = false;
     econ_type = false;
     enrg_type = false;
     pter_type = false;
     etrd_type = false;
     pinr_type = false;
     efin_type = false;
     eaid_type = false;
     asec_type = false;
     marr_type = false;
   }
   if(theEvent.controller().name() == "Phum: Human Rights")
   {
     phum_type = !phum_type;
     prel_type = false;
     enrg_type = false;
     pgov_type = false;
     econ_type = false;
     pter_type = false;
     etrd_type = false;
     pinr_type = false;
     efin_type = false;
     eaid_type = false;
     asec_type = false;
     marr_type = false;
   }
   if(theEvent.controller().name() == "Econ: Economic Conditions")
   {
     econ_type = !econ_type;
     prel_type = false;
     enrg_type = false;
     phum_type = false;
     pgov_type = false;
     pter_type = false;
     etrd_type = false;
     pinr_type = false;
     efin_type = false;
     eaid_type = false;
     asec_type = false;
     marr_type = false;
   }
   if(theEvent.controller().name() == "Pter: Terrorists and Terrorism")
   {
     pter_type = !pter_type;
     prel_type = false;
     enrg_type = false;
     phum_type = false;
     pgov_type = false;
     econ_type = false;
     etrd_type = false;
     pinr_type = false;
     efin_type = false;
     eaid_type = false;
     asec_type = false;
     marr_type = false;
   }
   if(theEvent.controller().name() == "Etrd: Foreign Trade")
   {
     etrd_type = !etrd_type;
     prel_type = false;
     enrg_type = false;
     phum_type = false;
     pgov_type = false;
     pter_type = false;
     econ_type = false;
     pinr_type = false;
     efin_type = false;
     eaid_type = false;
     asec_type = false;
     marr_type = false;
   }
   if(theEvent.controller().name() == "Pinr: Intelligence")
   {
     pinr_type = !pinr_type;
     prel_type = false;
     enrg_type = false;
     phum_type = false;
     pgov_type = false;
     pter_type = false;
     etrd_type = false;
     econ_type = false;
     efin_type = false;
     eaid_type = false;
     asec_type = false;
     marr_type = false;
   }
   if(theEvent.controller().name() == "Efin: Financial and Monetary Affairs")
   {
     efin_type = !efin_type;
     prel_type = false;
     enrg_type = false;
     phum_type = false;
     pgov_type = false;
     pter_type = false;
     etrd_type = false;
     econ_type = false;
     pinr_type = false;
     eaid_type = false;
     asec_type = false;
     marr_type = false;
   }
   if(theEvent.controller().name() == "Eaid: Foreign Economic Assistance")
   {
     eaid_type = !eaid_type;
     prel_type = false;
     enrg_type = false;
     phum_type = false;
     pgov_type = false;
     pter_type = false;
     etrd_type = false;
     econ_type = false;
     pinr_type = false;
     efin_type = false;
     asec_type = false;
     marr_type = false;
   }
   if(theEvent.controller().name() == "Asec: Security")
   {
     asec_type = !asec_type;
     prel_type = false;
     enrg_type = false;
     phum_type = false;
     pgov_type = false;
     pter_type = false;
     etrd_type = false;
     econ_type = false;
     pinr_type = false;
     eaid_type = false;
     efin_type = false;
     marr_type = false;
   }
   if(theEvent.controller().name() == "Marr: Military and Defense Arrangements")
   {
     marr_type = !marr_type;
     prel_type = false;
     enrg_type = false;
     phum_type = false;
     pgov_type = false;
     pter_type = false;
     etrd_type = false;
     econ_type = false;
     pinr_type = false;
     eaid_type = false;
     asec_type = false;
     efin_type = false;
   }
   /*
   if(theEvent.controller().name() == "Text")
   {
      text_bool = !text_bool; 
   }
  } */
  }
  


